Subject: PW Transport LSP nature

From: Shahram Davari <[email-masked]>
Date: Mon, 15 Nov 2004 08:13:35 -0800

Hi,

Is it safe to assume that the Transport LSP can't be in Uniform-mode?
The reason that I think this is true, is that a Transport LSP should not have
the restriction of setting its TTL=2 (same as the Interworking Label). Also a Transport
LSP can carry many PWs, that could have different CoS and possibly TTL.

BTW, why is the TTL of IW label set to 2 rather than 1? Is it because of PHP?

Thanks,
-Shahram

---

From: Shahram Davari <[email-masked]>
Date: Mon, 15 Nov 2004 11:18:48 -0800

Hi Luca,

> Shahram Davari wrote:
> true, but when the PSN label is popped, the TTL is always decreased , 
> and copied down. Hence setting the PW label TTL=2 does not do much 
> unless the PEs are adjacent. 

SD> If the TTL is always decreased and copied, this means the Transport LSP is
a Uniform LSP. By where is this requirement mentioned and why?

>Anyway setting the TTL=2 was 
> removed from 
> the spec almost 2 years ago.

Look at section 6.1 of  http://www.ietf.org/internet-drafts/draft-ietf-pwe3-arch-07.txt
it is still there.

> it was set to 2 for the adjacent PE case only. If the PEs are 
> adjacent , 
> then there is no "PSN label", and setting the TTL=2 could prevent the 
> packet from being mis-switched .... This was the thought behind the 
> original design.
> 2 is the lowest value you can set the TTL , otherwise the TTL will 
> expire before the packet is forwarded out the attachment circuit.
> Look at rfc3032

SD> RFC 3443 updates the TTL processing of RFC3032, which says:

   oTTL Check: Check if oTTL is greater than 0.  If the oTTL Check is
   false, then the packet is not forwarded.  Note that the oTTL check is
   performed only if any outgoing TTL (either IP or MPLS) is set to oTTL
   (see section 3.5 for exception).

So if there is no outgoing TTL (such as the case of Ethernet), then the oTTL
isn't check at all.

-Shahram

> 
> Luca
> 
> 
> >Thanks,
> >-Shahram
> >
> >_______________________________________________
> >pwe3 mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/pwe3
> >
> >  
> >
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>

---

From: Eric Rosen <[email-masked]>
Date: Tue, 16 Nov 2004 09:16:10 -0500

If you set TTL to 2, then stitched (multi-hop) PWs won't work.